Bug 1163208 - snapper: user/group name resolution
Summary: snapper: user/group name resolution
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: snapper
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Ondrej Kozina
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1028133 1028134
TreeView+ depends on / blocked
 
Reported: 2014-11-12 13:30 UTC by Florian Weimer
Modified: 2017-01-19 06:20 UTC (History)
5 users (show)

Fixed In Version: snapper-0.4.1-1 snapper-0.4.1-1.fc25 snapper-0.4.1-1.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of: 1028134
Environment:
Last Closed: 2017-01-14 03:51:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Florian Weimer 2014-11-12 13:30:04 UTC
_SC_GETPW_R_SIZE_MAX and _SC_GETGR_R_SIZE_MAX are only size *hints*.  Their names are misleading, it is not a maximum size.  snapperd should still loop around the getpwnam_r and getgrnam_r calls and allocate more memory as necessary (on the heap, not the stack).  This is required so that users in many groups and groups with many users can access snapperd.  Affected the functions get_user_uid and get_group_uids in server/MetaSnapper.cc.

Comment 1 Jaroslav Reznik 2015-03-03 16:29:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora End Of Life 2016-07-19 20:52:26 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Florian Weimer 2016-08-26 11:01:20 UTC
Still present in snapper-0.3.3-1.fc26.

Comment 4 Igor Gnatenko 2017-01-06 16:29:36 UTC
Please report this bug to upstream: https://github.com/openSUSE/snapper.

Comment 5 Florian Weimer 2017-01-08 10:39:02 UTC
(In reply to Igor Gnatenko from comment #4)
> Please report this bug to upstream: https://github.com/openSUSE/snapper.

This was fixed upstream in this commit:

commit a081c6c271cf568b753427967b2d835183f3418f
Author: Arvin Schnell <aschnell>
Date:   Wed Nov 2 22:18:26 2016 +0100

    - fixed use of getpwuid_r, getpwnam_r and getgrnam_r

So it should be fixed with the upcoming update to snapper-0.4.1-1.

Comment 6 Fedora Update System 2017-01-08 10:49:15 UTC
snapper-0.4.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5aa20067f5

Comment 7 Fedora Update System 2017-01-08 10:49:25 UTC
snapper-0.4.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fd2d8a03da

Comment 8 Fedora Update System 2017-01-14 03:51:03 UTC
snapper-0.4.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-01-19 06:20:04 UTC
snapper-0.4.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.